
/*
*****************************************************************************
* License Information :Accord Global Technology Solutions Pvt. Ltd.                  *

*                      #72 & 73, Krishna Reddy Colony, Domlur layout,            *

*                      Domlur,Bangalore - 560071, INDIA                     *

*                      Licensed software and All rights reserved.           *

*****************************************************************************

* File             : Dark
*
* Description      : Dark theme css page
*
* Author(s)        : Kavita Gupta
*
* Version History:
* <Version Number>                 <Author>              <date>      <defect Number>      <Modification
*                                                                                          made and the
*                                                                                          reason for
*                                                                                          modification >
*  1.0                            Kavita Gupta         10.11.2022        --         initial version
*
* References        :
*                     
* Assumption(s)     : None.
*                     
* Constraint(s)     : None.
*                     
 ****************************************************************************
*/

body.black {
	.navbar-nav .dropdown-item{
		background-color: #18191d;
	}
	.navbar-nav .profile{
		background-color: #ffde00;
	}
	.dropdown-menu {
		background-color: #18191d;
	}
	.text-secondary{
		color: #afb3b6 !important;
	}
	.text-muted{
		color: var(--grey4) !important;
	}
	.bg-primary{
		background-color: #18191d !important;
	}
	.bg-info {
		background-color: #FFFFFF !important;
	}
	.bg-secondary {
		background-color: var(--grey4) !important;
	}
	button.close{
		color: #FFFFFF !important;
	}
	
	hr {
		margin-top: 1rem;
		margin-bottom: 1rem;
		border: 0;
		border-top: 1px solid rgba(255, 255, 255, 0.4);
	}
	.navbar-dark {
		.nav-sidebar-toggler{
			color: #FFFF00;
		}
		.navbar-nav {
			.nav-link {
				color: #FFFF00;
				&:hover {
					color: #141414;
					.badge-dark {
						color: #000000;
						background-color: transparent;
						border: 0;
					}
				}
				&:focus {
					color: #141414;
					.badge-dark {
						color: #000000;
						background-color: transparent;
						border: 0;
					}
				}
				
			}
		}
	}
	.navbar-nav {
		.dropdown-item {
			&:hover {
				color: #000000;
				background-color: #ffde00;
			}
			&:focus {
				color: #000000;
				background-color: #ffde00;
			}
		}
	}
	.badge-dark{
		color: #FFFF00;
    	background-color: transparent;
		border: 0;
		&:hover{
			color: #FFFF00;
    		background-color: transparent;
		}
	}
	.btn-dark{
		color: #000;
    	background-color: #FFFFFF;
    	border-color: #FFFFFF;
	}
	.btn-danger{
		color: #FFFFFF;
    	background-color: #D61628;
    	border-color: #D61628;
	}
	.btn-secondary{
		color: #000;
    	background-color: #FFFFFF;
    	border-color: #FFFFFF;
	}
	.btn-warning{
		color: #000;
    	background-color: #FFFFFF;
    	border-color: #FFFFFF;
	}
	.btn-outline-warning{
		color: #FFFFFF;
		&:hover{
			color: #000;
			background-color: #FFFF00;
		}
	}
	.btn-outline-secondary{
		color: #FFFFFF;
		border-color: #FFFFFF;
		&:hover{
			color: #000;
			background-color: #FFFFFF;
		}
	}
	.btn-outline-danger {
		color: #FFFFFF;
    	border-color: #D61628;
	}
	
	.alert-primary {
		color: #151515;
		background-color: #FFFFFF;
		border-color: var(--primary);
	}
	.alert-warning {
		color: #D61628;
		background-color: #FFFFFF;
		border-color: #D61628;
	}
	.alert-danger {
		color: #D61628;
		background-color: #FFFFFF;
		border-color: #D61628;
	}
	.alert-success {
		color: #D61628;
		background-color: #FFFFFF;
		border-color: #D61628;
	}
	
	.card{
		border-top: 3px solid #383b3e;
		background-color: #191c24;
		.card-header{
			background-color:#18191d;
		}
		
	} 
	.box {
		.fa {
			color: #ccd0d3;
			&:hover{
				color: #FFFF00;
			}
		}
		.fas {
			color: #ccd0d3;
			&:hover{
				color: #FFFF00;
			}
		}
		.far {
			color: #ccd0d3;
			&:hover{
				color: #FFFF00;
			}
		}
	}
	.form-control{
		&:focus {
		color: #FFFFFF;
		}
		.error{
			border-color: #D61628;
		  }
	}
	.form-control{
		&:disabled {
			background-color: #858a90;
			color: #2b2b2b;
			opacity: 1;
		}
	}
	.form-control[readonly] {
		background-color: #858a90;
		color: #2b2b2b;
		opacity: 1;
	}
	label{
		color: #d0b831;
	}
	.border-danger {
		border-color: #D61628 !important;
	}
	.custom-file {
			.custom-file-label {
				color: #FFF;
			}
	}
	.custom-control-input[disabled] {
		~ {
			.custom-control-label {
				color: #FFF;
				&::before {
					background-color: #000;
					border-color: #232429;
				}
			}
		}
	}
	.custom-control-input {
		&:disabled {
			~ {
				.custom-control-label {
					&::before {
						background-color: #000;
						border-color: #232429;
					}
				}
			}
		}
	}


	.treeview-menu {
		>li {
			>a {
				color: var(--body--text--color);
				border-left: 6px solid #18191d;
				&:hover {
					border-left: 6px solid var(--primary);
					background-color: var(--white);
					>.fa {
						color: var(--primary);
					}
					>.fas {
						color: var(--primary);
					}
					>.far {
						color: var(--primary);
					}
					>.glyphicon {
						color: var(--primary);
					}
					>.ion {
						color: var(--primary);
					}
				}
				&:focus {
					border-left: 6px solid var(--primary);
					background-color: var(--white);
				}
			}
		}
		>li.active {
			>a {
				border-left: 6px solid var(--primary);
				background-color: var(--white);
			}
		}
	}
	.main-sidebar {
		background-color: #18191d;
	}
	.sidebar-form {
		input {
			&:focus {
				border-color: transparent;
			}
		}
	}
	.sidebar-toggler {
		background-color: var(--primary--light);
		color: var(--white);
	}
	.nav-sidebar-toggler {
		color: var(--white);
	}
	.sidebar-menu {
		>li {
			>a {
				color: var(--body--text--color);
				border-left: 6px solid #18191d;
				background-color: #18191d;
				&:hover {
					border-left: 6px solid var(--primary);
					background-color: var(--white);
					color: var(--body--text--color);
					>.fa {
						color: var(--primary);
						color: var(--primary);
					}
					>.fas {
						color: var(--primary);
						color: var(--primary);
					}
					>.far {
						color: var(--primary);
						color: var(--primary);
					}
					>.glyphicon {
						color: var(--primary);
						color: var(--primary);
					}
					>.ion {
						color: var(--primary);
						color: var(--primary);
					}
				}
				&:focus {
					border-left: 6px solid var(--primary);
					background-color: var(--white);
					color: var(--body--text--color);
				}
			}
		}
		>li.active {
			>a {
				border-left: 6px solid var(--primary);
				background-color: var(--white);
				color: var(--body--text--color);
				>.fa {
					color: var(--primary);
				}
				>.fas {
					color: var(--primary);
				}
				>.far {
					color: var(--primary);
				}
				>.glyphicon {
					color: var(--primary);
				}
				>.ion {
					color: var(--primary);
				}
			}
		}
	}
	@media (min-width: 768px) {
		.sidebar-mini {
			&:not(.sidebar-mini-expand-feature).sidebar-collapse {
				.sidebar-menu {
					>li {
						&:hover {
							>a {
								background-color: var(--white);
								border-left: 6px solid var(--primary);
							}
						}
					}
				}
			}
		}
	}
	.modal-backdrop{
		background-color: #848080;
	}
	.map_alerts {
		background-color: rgba (0,0,0,.5);
	}
	.picky__input{
		color: var(--body--text--color);
		background-color: var(--white);
		background-clip: padding-box;
		border: 1px solid var(--grey4);
	}
	
	.dashboard{
        .bg-primary{
            background-color: #ffffff !important;
		}
		.bg-danger{
			background-color: #ffffff !important;
		}
		.card-widgets.bg-warning .card-body{
			color: var(--white);
			
		  }
	}
	.custom-control-label{
		&:before{
			background-color: #000;
			border: var(--grey4) solid 1px;
		}
	}

	.circle-loader {
		border: .3rem solid var(--primary);
		border-left: .3rem solid var(--white);
	  }
	.notification{
		.alert{
			background-color: #FFFFFF;
		  }

	  } 
	.picky__placeholder{
		   color: #77818A !important; 
	}
}
